Subject: [Txauth] Use Case: Directed Tokens

From: Fabien Imbault <[email-masked]>
Date: Wed, 8 Jul 2020 09:53:39 +0200

Hi Justin,

Following up on the capability discussion : indeed the pattern is
interesting and has demonstrated better security than traditional role
based access controls.
Note that the system itself is not bound to json-ld, so one may simply use
ocaps without the additional semantic layer. Still when defined as in zcap,
it remains quite easy to use. I understand some of your concerns, but
believe you should see json-ld as helping for interoperability (rather than
limiting), since it explicits the context in which it is used.

This line of work builds quite extensively on academia, and especially on
debates between T.B.Lee and M.Miller. But having recently worked on VC for
identity coupled with ocaps for access works like a charm, in practice.

More generally, the remarks made by Denis are interesting, even if we may
well encounter many other / more familiar scenarios too. So I agree that we
should stay open to these different views.

Fabien